# config.mk

# --------------- #
# --- general --- #
# --------------- #

# default hostname
hostname = host

# default nameservers
nameserver_1 = 1.1.1.1
nameserver_2 = 1.0.0.1

# default NTP server
ntpserver = pool.ntp.org

# apmd(8) flags
# -H             performance mode
# -L             battery mode
# -Z <percent>   automatically hibernate the system if no AC is connected
#                and the estimated battery life is equal or below <percent>

apmd_flags = -L

# --------------- #
# --- daemons --- #
# --------------- #

# disable the following system daemons
disable_daemons = sshd smtpd

# enable the following system daemons
enable_daemons = apmd hotplugd unwind

# ---------------- #
# --- packages --- #
# ---------------- #
# these values can be either 'yes' or 'no'

# install GUI packages
gui = yes

# install games
games = yes

# install pentesting tools
pentest = yes

# follow OpenBSD-current (turning this off might break stuff)
curr = yes

# download ports tree -- /usr/ports
dl_ports = yes

# download src tree -- /usr/src (about 1.5G)
dl_src = yes

# ------------------ #
# --- hostsfetch --- #
# ------------------ #

# block the following domain categories
block = basic suspicious advertising telemetry malicious corporations other
