/* See LICENSE file for copyright and license details. */

static const Pair pairs[] = {
	/* regex                            action */

	// pictures
	{ "\\.(gif|jpg|jpeg|png|tiff)$",    "setsid nsxiv -pq %s" },

	// music
	{ "\\.(mp3|mp4|mkv|m4a|avi|webm|flac|opus)$", "setsid mpv --no-video %s" },
 
	// documents
	{ "\\.(pdf|xps|cbz|epub)$",         "setsid mupdf %s" },

	// youtube
	{ "youtube.com/watch\\?|youtu\\.be/|invidio|odysee", "x Streaming content...; setsid mpv %s" },

	// www browser
	{ "\\.html$|^https?://.+",          "surf-open %s" },

	// torrent & magnet links
	{ "^magnet:|\\.torrent$",           "setsid st -e aria2c --allow-overwrite=true %s" },

	// mail
	{ "^mailto:",                       "setsid st -e mutt %s" },

	// manual pages
	{ "\\.[0-9]$",                      "setsid st -e man %s" },

	// archives
	{ "\\.(gz|xz|bz2|tar|7z|tgz|7zip)$", "x Extracting...; unar %s; x Finished extracting!" },

	// other
	{ ".+",                             "setsid st -e vi %s" }
};
