#!/bin/sh
# shared code between scripts

# default network inteface
_IFACE="$(netstat -rn | grep default | awk '{print $NF}' | head -1)"
[ "$_IFACE" ] || _IFACE=lo0

# default network file grabber
alias _fetch='timeout 20 ftp -MV -o -'

# check for root
alias _checkroot='[ $(id -u) -eq 0 ] || { echo run as root; exit 1; }'

# check for normal user
alias _checkuser='[ $(id -u) -eq 0 ] && { echo run as normal user; exit 1; }'

# if X is running enable notifications
[ "$DISPLAY" ] && type xnotify >&- && _notify=1

# args (cli parameters)
export _ARGS="$*"

# dmenu lines
export _DMENU_LINES=15

# count lines
_countlines() {
	wc -l "$1" | xargs | cut -d ' ' -f 1
}

# exit with error
_die() {
	echo "${0##*/}: $*" >&2
	exit 1
}

# flag options
_flag() {
	for arg in $_ARGS; do
		if [ "$arg" = "-${1}" ]; then
			eval "${1}flag"=1
			_ARGS="$(echo " $_ARGS" | sed "s/ -${1} //g")"
			break
		fi
	done
}

# default usage()
_usage() {
	echo Usage:
	echo " $(basename "$0") [options] $1"
	echo
	echo Options:
}
